import { ElementRef, Renderer2 } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { FormsConfig } from '../../types';
import { AbstractControlDirective } from './abstract-control.directive';
export declare class ValueAccessorConnectorDirective extends AbstractControlDirective<any> {
    accessor: ControlValueAccessor;
    lastValue: string;
    constructor(ref: ElementRef, r2: Renderer2, config: FormsConfig, accessors: ControlValueAccessor[]);
    initAccessor(accessors: ControlValueAccessor[]): void;
    setValue(value: any): void;
    setDisabled(disabled: boolean): void;
    equalsLastValue(value: any): boolean;
}
